SFML 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

MemoryeInputStream Class Reference
System module

This class is a specialization of InputStream that reads from data in memory. More...

`#include <MemoryInputStream.hpp>`

## Detailed Description

This class is a specialization of InputStream that reads from data in memory.

It wraps a memory chunk in the common InputStream interface and therefore allows to use generic classes or functions that accept such a stream, with content already loaded in memory.

In addition to the virtual functions inherited from InputStream, MemoryInputStream adds a function to specify the pointer and size of the data in memory.

SFML resource classes can usually be loaded directly from memory, so this class shouldn't be useful to you unless you create your own algorithms that operate on a InputStream.

Usage example:

void process(InputStream& stream);
MemoryStream stream;
stream.open(thePtr, theSize);
process(stream);

InputStream, FileStream

The documentation for this class was generated from the following file:

- MemoryInputStream.hpp